import { Id } from "@deep-foundation/deeplinks";
import React from 'react';
export declare function Packages(): any;
export declare const PreloadContext: React.Context<[boolean, () => Promise<void>]>;
export declare function usePreload(): [boolean, () => Promise<void>];
export declare const HandlersContext: React.Context<any>;
export declare function useHandlersContext(): any;
export declare function PreloadProviderCore({ preloaded, children, }: {
    preloaded?: {
        packages?: any[];
        handlers?: any[];
    };
    children?: any;
}): React.JSX.Element;
export declare function PreloadProvider({ preloaded, children, }: {
    preloaded?: {
        packages?: any[];
        handlers?: any[];
    };
    children?: any;
}): any;
export declare function useSymbol(): (link: any) => any;
export declare function symbol(link: any, deep: any): any;
export declare const loader: ({ query, deep }: {
    query?: any;
    deep: any;
}) => any;
export declare function useLoader({ query, ref, interval }: {
    query: any;
    ref: any;
    interval: number;
}): {
    data?: import("@deep-foundation/deeplinks").Link<Id>[];
    error?: any;
    loading: boolean;
    refetch?: () => Promise<any>;
};
export declare function useCanByContain(id: Id): boolean;
export declare function useChakraColor(color: string): any;
export declare function getChakraColor(theme: any, color: string): any;
export declare function getChakraVar(e: any, v: any): any;
export declare function useChakraVar(): (color: string) => string;
