import { Id, Link } from '@deep-foundation/deeplinks';
import React from 'react';
import { GoI } from './go.js';
export declare const r: any;
export interface ReactHandlerProps {
    linkId?: Id;
    handlerId?: Id;
    context?: Id[];
    ml?: any;
    error?: any;
    onClose?: () => any;
    ErrorComponent?: any;
    [key: string]: any;
}
export declare function WatchLink({ link }: {
    link: Link<Id>;
}): any;
export declare function ClientHandlerErrorComponent({ error, reset, handlerId, }: {
    error?: any;
    reset?: any;
    handlerId?: any;
}): React.JSX.Element;
export declare function ClientHandlerUnhandledComponent({ Component, reset }: {
    Component?: any;
    reset?: any;
}): React.JSX.Element;
export declare function ReactHandlerEditor({ handler, disclosure, }: {
    handler: Id;
    disclosure?: any;
}): React.JSX.Element;
export declare const ReactHandlerTreeItem: React.NamedExoticComponent<{
    go: any;
    setHandler?: any;
    goPath?: GoI[];
}>;
export declare const ReactHandlersContext: React.Context<any>;
export declare function ReactHandlersProvider({ children, requires, sync: _sync, }: {
    children?: any;
    requires?: any;
    sync?: boolean;
}): React.JSX.Element;
export declare const ReactHandler: React.NamedExoticComponent<ReactHandlerProps>;
export declare function createComponent(props: ReactHandlerProps): (_props: any) => React.JSX.Element;
